<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8">
  <title>Registro de Historia Clínica</title>
  <!-- <link rel="stylesheet" href="history.css"> -->
</head>

<body>
  <h1>Registro de Historia Clínica</h1>

  <form (ngSubmit)="guardarFormulario()"novalidate>
    <label for="codigo">Código:</label>
    <input type="text" id="codigo" name="codigo" [(ngModel)]="codigo" (input)="limpiarMensajeError('codigo')">
    <label *ngIf="codigoError" class="error">{{ codigoError }}</label>

    <label for="nombre">Nombre:</label>
    <input type="text" id="nombre" name="nombre" [(ngModel)]="nombre" (input)="limpiarMensajeError('nombre')">
    <label *ngIf="nombreError" class="error">{{ nombreError }}</label>

    <label for="apellido">Apellido:</label>
    <input type="text" id="apellido" name="apellido" [(ngModel)]="apellido" (input)="limpiarMensajeError('apellido')">
    <label *ngIf="apellidoError" class="error">{{ apellidoError }}</label>

    <label for="cedula">Cédula:</label>
    <input type="text" id="cedula" name="cedula" [(ngModel)]="cedula" (input)="limpiarMensajeError('cedula')">
    <label *ngIf="cedulaError" class="error">{{ cedulaError }}</label>

    <label for="edad">Edad:</label>
    <input type="text" id="edad" name="edad" [(ngModel)]="edad" (input)="limpiarMensajeError('edad')">
    <label *ngIf="edadError" class="error">{{ edadError }}</label>

    <label for="fecha">Fecha de ingreso:</label>
    <input type="date" id="fecha" name="fecha" [(ngModel)]="fecha" (input)="limpiarMensajeError('fecha')">
    <label *ngIf="fechaError" class="error">{{ fechaError }}</label>

    <label for="sexo">Sexo:</label>
    <select id="sexo" name="sexo" [(ngModel)]="sexo" (input)="limpiarMensajeError('sexo')">
      <option value="">Seleccione una opción</option>
      <option value="masculino">Masculino</option>
      <option value="femenino">Femenino</option>
      <option value="otro">Otro</option>
    </select>
    <label *ngIf="sexoError" class="error">{{ sexoError }}</label>

    <label for="direccion">Dirección:</label>
    <textarea id="direccion" name="direccion" [(ngModel)]="direccion" (input)="limpiarMensajeError('direccion')"></textarea>
    <label *ngIf="direccionError" class="error">{{ direccionError }}</label>

    <label for="sintomas">Síntomas:</label>
    <textarea id="sintomas" name="sintomas" [(ngModel)]="sintomas" (input)="limpiarMensajeError('sintomas')"></textarea>
    <label *ngIf="sintomasError" class="error">{{ sintomasError }}</label>

    <label for="diagnostico">Diagnóstico:</label>
    <textarea id="diagnostico" name="diagnostico" [(ngModel)]="diagnostico" (input)="limpiarMensajeError('diagnostico')"></textarea>
    <label *ngIf="diagnosticoError" class="error">{{ diagnosticoError }}</label>

    <label for="tratamiento">Tratamiento:</label>
    <textarea id="tratamiento" name="tratamiento" [(ngModel)]="tratamiento" (input)="limpiarMensajeError('tratamiento')"></textarea>
    <label *ngIf="tratamientoError" class="error">{{ tratamientoError }}</label>

    <label for="observaciones">Observaciones:</label>
    <textarea id="observaciones" name="observaciones" [(ngModel)]="observaciones" (input)="limpiarMensajeError('observaciones')"></textarea>
    <label *ngIf="observacionesError" class="error">{{ observacionesError }}</label>

    <input type="submit" value="Guardar" [disabled]="!guardarHabilitado">

  </form>
</body>

</html>
